<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.2"?>
<plugin>

   <extension
         point="org.eclipse.ui.views">
      <category
            name="%category.name"
            id="info.textgrid.lab.dictsearchcat">
      </category>
      <view
            category="info.textgrid.lab.dictsearchcat"
            class="info.textgrid.lab.dictionarysearch.views.DictionarySearchView"
            icon="icons/084-zeige-WoerterbuchErgebnisse.gif"
            id="info.textgrid.lab.dictionarysearch.views.DictionarySearchView"
            name="%view.name">
      </view>
      <view
            category="info.textgrid.lab.dictsearchcat"
            class="info.textgrid.lab.dictionarysearch.views.DictionaryBrowserView"
            icon="icons/073-zeige-WoerterbuchPerspektive.gif"
            id="info.textgrid.lab.dictionarysearch.views.DictionaryBrowserView"
            name="%view.name.0">
      </view>
      <view
            name="%view.name.1"
            icon="resources/woerterbuecher.gif"
            category="info.textgrid.lab.dictsearchcat"
            class="info.textgrid.lab.dictionarylinkeditor.views.DictionaryLinkEditor"
            id="info.textgrid.lab.dictionarylinkeditor.views.DictionaryLinkEditor">
      </view>
   </extension>
   <extension
         point="org.eclipse.ui.commands">
      <command
            description="%command.description"
            id="info.textgrid.lab.dictionarysearch.showSearch"
            name="%command.name">
      </command>
      <command
            description="%command.description.0"
            id="info.textgrid.lab.dictionarysearch.showBrowser"
            name="%command.name.0">
      </command>
      <command
            description="%command.description.1"
            id="info.textgrid.lab.dictionarysearch.showResults"
            name="%command.name.1">
      </command>
      <command
            id="info.textgrid.lab.dictionarysearch.newSearch"
            name="%command.name.2">
      </command>
   </extension>
   <extension
         point="org.eclipse.ui.handlers">
      <handler
            class="info.textgrid.lab.dictionarysearch.views.showDictionarySearchView"
            commandId="info.textgrid.lab.dictionarysearch.showSearch">
      </handler>
      <handler
            class="info.textgrid.lab.dictionarysearch.views.showDictionaryBrowserView"
            commandId="info.textgrid.lab.dictionarysearch.showBrowser">
      </handler>
      <handler
            class="info.textgrid.lab.dictionarysearch.views.showDictionaryResultsView"
            commandId="info.textgrid.lab.dictionarysearch.showResults">
      </handler>
      <handler
            class="info.textgrid.lab.dictionarysearch.views.newSearchHandler"
            commandId="info.textgrid.lab.dictionarysearch.newSearch">
      </handler>
   </extension>
   <extension
         point="org.eclipse.ui.menus">
            <menuContribution
            locationURI="popup:org.eclipse.ui.popup.any">
         <command
               commandId="info.textgrid.lab.dictionarysearch.newSearch"
               icon="icons/073-zeige-WoerterbuchPerspektive.gif"
               label="%command.label"
               style="push">
         </command>
      </menuContribution>
      <menuContribution
            locationURI="menu:showview?after=tools.anchor4">
         <command
               commandId="info.textgrid.lab.dictionarysearch.showResults"
               style="push">
         </command>
      </menuContribution>
      <menuContribution
            locationURI="toolbar:toolsbar">
         <command
               commandId="info.textgrid.lab.dictionarysearch.showResults">
         </command>
      </menuContribution>
   </extension>
      <extension
         point="org.eclipse.core.expressions.definitions">
      <definition
            id="info.textgrid.lab.dictionarysearch.definitions.enabler">
         <with
               variable="activePartId">
            <equals
                  value="info.textgrid.lab.xmleditor.mpeditor.MPEditorPart">
            </equals>
         </with>
      </definition>
   </extension>
   <extension
         point="org.eclipse.ui.commandImages">
      <image
            commandId="info.textgrid.lab.dictionarysearch.showResults"
            icon="icons/084-zeige-WoerterbuchErgebnisse.gif">
      </image>
   </extension>
   <extension
         point="org.eclipse.help.contexts">
      <contexts
            file="chDictionarySearch.xml">
      </contexts>
   </extension>

</plugin>

